Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.windows
Class TopComponent.NodeName

    java.lang.Object
      org.openide.nodes.NodeAdapter
          org.openide.windows.TopComponent.NodeName

All Implemented Interfaces:
  PropertyChangeListener, EventListener, NodeListener

Enclosing class:
  TopComponent

Deprecated. Please do not use. This support class does nothing much useful. If you need to synchronize display name of your TopComponent with some Node's display name, we recommend you to do it manually in your client's code.

    public static class TopComponent.NodeName

extends NodeAdapter

This class provides the connection between the node name and a name of the component.

Constructor Summary
`TopComponent.NodeName(TopComponent top)` Deprecated. Please do not use, public just by an accident.

Method Summary
`static void` | `connect(TopComponent top, Node n)` Deprecated. Connects a top component and a node.
`void` | `propertyChange(PropertyChangeEvent ev)` Deprecated. Please do not use, public just by an accident.

Methods inherited from class org.openide.nodes.NodeAdapter
`childrenAdded, childrenRemoved, childrenReordered, nodeDestroyed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopComponent.NodeName

    public TopComponent.NodeName(TopComponent top)

  Deprecated. Please do not use, public just by an accident.

  Constructs new name adapter that can be attached to any node and will listen on changes of its display name and modify the name of the component.

  Parameters:
    `top` - top component to modify its name

Method Detail

### connect

    public static void connect(TopComponent top,
                               Node n)

  Deprecated.
  Connects a top component and a node. The name of component will be updated as the name of the node changes.

  Parameters:
    `top` - top compoonent to modify its name
    `n` - node to take name from
  Since:
    4.3

### propertyChange

    public void propertyChange(PropertyChangeEvent ev)

  Deprecated. Please do not use, public just by an accident.

  Listens to Node.PROP_DISPLAY_NAME.

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Overrides:
    `propertyChange` in class `NodeAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.windows 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.